Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2052224 - Please branch and build ocserv in epel9
Summary: Please branch and build ocserv in epel9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ocserv
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2052225
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-08 21:57 UTC by Troy Dawson
Modified: 2022-02-19 02:04 UTC (History)
1 user (show)

Fixed In Version: ocserv-1.1.4-3.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-19 02:04:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Troy Dawson 2022-02-08 21:57:39 UTC
Please branch and build ocserv in epel9.

If you do not wish to maintain ocserv in epel9,
or do not think you will be able to do this in a timely manner,
I would be happy to be a co-maintainer of the package. (FES: tdawson)
Please add me through https://src.fedoraproject.org/rpms/ocserv/adduser

Comment 1 Troy Dawson 2022-02-08 22:00:16 UTC
ocserv requires radcli to build in epel9.
I have requested radcli here ...
https://bugzilla.redhat.com/show_bug.cgi?id=2052225

Comment 2 Nikos Mavrogiannopoulos 2022-02-09 11:34:45 UTC
Thank you, I've added you in all of these. PS. are you using ocserv/openconnect personally?

Comment 3 Troy Dawson 2022-02-09 14:35:16 UTC
Thank You, that helps me move along.
Am I using them personally, no, at least not directly.
I use KDE, and plasma-nm.  plasma-nm has openconnect functionality, but I do not use it.  But I need it in epel9 to build it.

But I do take my co-maintainer seriously, at least for the EPEL packages.

Comment 4 Troy Dawson 2022-02-09 20:58:05 UTC
Fails builds on epel9 with the same errors that it's failling on Rawhide builds.
https://bugzilla.redhat.com/show_bug.cgi?id=2046778

Comment 5 Nikos Mavrogiannopoulos 2022-02-10 09:39:26 UTC
Quite many failures. I'll try to install fedora and check it.

Comment 6 Troy Dawson 2022-02-10 16:36:26 UTC
The fixes you did in Rawhide fixed the epel9 builds.  Thank You

Comment 7 Fedora Update System 2022-02-10 16:37:11 UTC
FEDORA-EPEL-2022-078fd877b8 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-078fd877b8

Comment 8 Fedora Update System 2022-02-11 02:03:10 UTC
FEDORA-EPEL-2022-078fd877b8 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-078fd877b8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-02-19 02:04:36 UTC
FEDORA-EPEL-2022-078fd877b8 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.